Skip to content

Future Chain

GET /future/futureChain

This API is used to search futureChain for equity, derivatives, and commodity scripts based on the user-provided search symbol and exchange name.

Parameters

NameTypeRequiredDescription
exchangestringfalseName of the exchange. Valid exchanges values (NFO/BFO/CDS/MCX/MFO). If the user does not provide an exchange name, by default considered as NFO. For trading with CDS, BFO, MCX, and MFO, exchange is mandatory.
searchSymbolNamestringtrueTrading Symbol of the scrip to be searched.
expiryDatestringfalseexpiryDate in yyyy-MM-dd.

Sample Request Body

bash
curl -X GET 'https://tradeapi.samco.in/future/futureChain?searchSymbolName=SENSEX&expiryDate=2024-09-27&exchange=BFO' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-session-token: <SESSION_TOKEN>'
java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Sample {
  public static void main(String[] args) throws Exception {
    HttpClient client = HttpClient.newHttpClient();

    HttpRequest request = HttpRequest.newBuilder()
        .uri(URI.create("https://tradeapi.samco.in/future/futureChain?searchSymbolName=SENSEX&expiryDate=2024-09-27&exchange=BFO"))
        .header("Content-Type", "application/json")
        .header("Accept", "application/json")
        .header("x-session-token", "<SESSION_TOKEN>")
        .GET()
        .build();

    HttpResponse<String> response =
        client.send(request, HttpResponse.BodyHandlers.ofString());
    System.out.println(response.body());
  }
}
js
(async () => {
  const headers = {
    'Content-Type': 'application/json',
    'Accept': 'application/json',
    'x-session-token': '<SESSION_TOKEN>',
  };

  const response = await fetch('https://tradeapi.samco.in/future/futureChain?searchSymbolName=SENSEX&expiryDate=2024-09-27&exchange=BFO', {
    method: 'GET',
    headers,
  });

  const data = await response.json();
  console.log(data);
})();
py
import requests
import json

headers = {
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'x-session-token': '<SESSION_TOKEN>',
}

r = requests.get('https://tradeapi.samco.in/future/futureChain?searchSymbolName=SENSEX&expiryDate=2024-09-27&exchange=BFO',
  headers=headers)

print(r.json())

Sample Responses

json
{
    "serverTime": "25/09/24 12:34:22",
    "msgId": "d0154c21-8bbd-43ff-a64b-2f9bcdae7b9c",
    "status": "Success",
    "statusMessage": "Future chain details retrived successfully. ",
    "futureChainDetails": [
        {
            "tradingSymbol": "SENSEX24SEPFUT",
            "exchange": "BFO",
            "symbol": "859754_BFO",
            "expiryDate": "2024-09-27",
            "instrument": "IF",
            "underLyingSymbol": "SENSEX",
            "spotPrice": 84805.89,
            "lastTradedPrice": "84819.00",
            "openInterest": 13730,
            "openInterestInLot": 1373,
            "openInterestChange": 360,
            "openInterestChangeInLot": 36,
            "oichangePer": "2.69",
            "volume": 2860,
            "impliedVolatility": "0",
            "delta": "0",
            "gamma": "0",
            "theta": "0",
            "vega": "0",
            "bestBids": [
                {
                    "number": 1,
                    "quantity": "50",
                    "price": "84815.45"
                },
                {
                    "number": 2,
                    "quantity": "50",
                    "price": "84815.00"
                },
                {
                    "number": 3,
                    "quantity": "10",
                    "price": "84814.80"
                },
                {
                    "number": 4,
                    "quantity": "50",
                    "price": "84814.50"
                },
                {
                    "number": 5,
                    "quantity": "80",
                    "price": "84814.45"
                }
            ],
            "bestAsks": [
                {
                    "number": 1,
                    "quantity": "10",
                    "price": "84825.00"
                },
                {
                    "number": 2,
                    "quantity": "50",
                    "price": "84833.30"
                },
                {
                    "number": 3,
                    "quantity": "30",
                    "price": "84833.35"
                },
                {
                    "number": 4,
                    "quantity": "100",
                    "price": "84833.40"
                },
                {
                    "number": 5,
                    "quantity": "80",
                    "price": "84833.45"
                }
            ]
        }
    ]
}

Response Schema

Status Code 200

NameTypeDescription
serverTimestringTime at Server.
msgIdstringThis is a unique identifier for every request into the system. Please quote this identifier to the support team if you face issues with the API request.
statusstringThe status of the API response. It can be either 'Success' or 'Failure'.
statusMessagestringA message describing the result of the API call.
futureChainDetails[object]Scrips Details available for the provided search text.
tradingSymbolstringTrading Symbol of the scrip.
exchangestringExchange information indicates which exchange each trading symbol comes from.
symbolstringSymbol Code of the trading Symbol.
expiryDatestringShows expiry date of a trading symbol.
instrumentstringInstrument Name.
underLyingSymbolstringRoot symbol of TradingSymbol.
spotPricestringSpot price. Applicable in case of Futures and Options.
lastTradedPricestringPrice at which last transaction / trade is done.
openIntereststringOpen interest is the Number of existing contracts held by buyers or sellers for any market for any given day.
openInterestChangestringIt shows Open interest change in Number of contracts held for market.
oichangePerstringIt will show the change % based on Open Interest.
volumestringLimit amount of a security traded on the specific day.
impliedVolatilitystringThe market's expectation of future volatility of the underlying asset
deltastringMeasures the sensitivity of the F&O’s price to changes in the price of the underlying asset.
gammastringMeasures the rate of change of delta with respect to changes in the underlying asset's price.
thetastringMeasures the rate at which the F&O’s price decreases as it approaches expiration.
vegastringMeasures the sensitivity of the F&O’s price to changes in the volatility of the underlying asset.
bestBids[object]Most frequent trading bids for BUY.
numberstringSequence number for Bid/Ask.
quantitystringQuantity asked for trading.
pricestringPrice asked for trading.
bestAsks[object]Most frequent trading asked for SELL.
numberstringSequence number for Bid/Ask.
quantitystringQuantity asked for trading.
pricestringPrice asked for trading.